MaturityAction
MaturityAction schema — what happens to all or part of a holding at maturity, as returned by GET and PUT
/holding/{entity_code}/{holding_uid}/maturity-action and in Holding.maturityActions.
amountnumberrequired
Amount
Example:
5000currencystringrequired
Currency
Example:
GBPholdingUidstringrequired
Holding uid
Example:
74628ebad0f54881b3c76acf146eb3c3subscriptionUidstring | nullnullable
The unique identifier for the subscription associated with the maturity action, if any.
Example:
dade0389c66241bd8366b017f1ffe19atypestringrequired
Maturity Action type
Example:
ROLLuidstringrequired
Maturity Action uid
Example:
96cd54e5ddfd41b0a77afef15a96660dMaturityAction
{
"amount": 5000,
"currency": "GBP",
"holdingUid": "74628ebad0f54881b3c76acf146eb3c3",
"subscriptionUid": "dade0389c66241bd8366b017f1ffe19a",
"type": "ROLL",
"uid": "96cd54e5ddfd41b0a77afef15a96660d"
}